classification
Title: Add additional info to Resources area on Dev Guide
Type: Stage: resolved
Components: Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mikehoy, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2012-08-30 07:45 by mikehoy, last changed 2012-09-08 21:54 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
devguide-resources.diff mikehoy, 2012-08-30 07:46
devguide-resources-2.diff mikehoy, 2012-08-30 07:56
devguide-resources-3.diff mikehoy, 2012-08-30 09:26
devguide-resources-4.diff mikehoy, 2012-09-02 06:41
Messages (9)
msg169436 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-30 07:45
I wrote a patch which adds more info the devguide under Resources: http://docs.python.org/devguide/index.html#resources
msg169438 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-30 07:57
I changed the wording a bit and added a few more things. The second one is the one I prefer.
msg169439 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-30 08:37
I'm working on a new patch with Ezio.
msg169441 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-30 09:26
This patch adds a link from:
http://docs.python.org/devguide/index.html#resources

To:
http://docs.python.org/devguide/docquality.html#helping-with-the-developer-s-guide
msg169442 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-08-30 09:32
It was determined by Ezio that the previous patches had too much information about how to open a browser, or install python-sphynx on a debian system. It was just out of scope for the docs (people should know how to use their package management systems, etc). We worked out that it was best to just use the existing docs for stuff like hg clone... and leave out the sudo apt-get install python-sphynx.
msg169600 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-01 01:23
Is the :exc:`KeyboardInterrupt` line supposed to be in there?
msg169686 - (view) Author: Mike Hoy (mikehoy) * Date: 2012-09-02 06:41
>> Is the :exc:`KeyboardInterrupt` line supposed to be in there?

Nope. I somehow ended up with that in my index.rst file. I am guessing I was pasting lines to use as reference and didn't delete it later. Here's patch #4.
msg170065 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-08 21:51
New changeset 18e31605b161 by R David Murray in branch 'default':
#15820: Improve the Helping with the Devguide section
http://hg.python.org/devguide/rev/18e31605b161
msg170066 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-09-08 21:54
I incorporated your ideas into the update I made, including at least one that Ezio may have rejected...he can blame me :)

Thanks, Mike.
History
Date User Action Args
2012-09-08 21:54:13r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg170066

stage: resolved
2012-09-08 21:51:43python-devsetnosy: + python-dev
messages: + msg170065
2012-09-02 06:41:35mikehoysetfiles: + devguide-resources-4.diff

messages: + msg169686
2012-09-01 01:23:22r.david.murraysetnosy: + r.david.murray
messages: + msg169600
2012-08-30 09:32:17mikehoysetmessages: + msg169442
2012-08-30 09:26:31mikehoysetfiles: + devguide-resources-3.diff

messages: + msg169441
2012-08-30 08:37:49mikehoysetmessages: + msg169439
2012-08-30 07:57:21mikehoysetmessages: + msg169438
2012-08-30 07:56:26mikehoysetfiles: + devguide-resources-2.diff
2012-08-30 07:46:29mikehoysetfiles: + devguide-resources.diff
keywords: + patch
2012-08-30 07:45:40mikehoycreate